Issues filed for creationix/nvm

View Full Project
Do you use nvm? Leave a review!

Rate of open issues in the last 60 days

nvm open issues (View Closed Issues)
  • over 1 year nvm install may failed with broken cache
  • over 1 year npm is only available in interactive shell
  • over 1 year NVM getting very slow on startup in Bash
  • over 1 year Adapt this command to install version as well
  • over 1 year ls-remote and install many times to run
  • over 1 year Can't uninstall version if lib/node_modules contain a symlink
  • over 1 year Run Travis tests on OS X
  • over 1 year Loading nvm is unbelievably slow (7-46 seconds)
  • over 1 year nvm: install v6.7.0 failed!
  • over 1 year Add nvm ls-remote --short (maybe as default)
  • over 1 year Polish: Output of nvm ls-remote in multi-columns
  • over 1 year Install notice for unmaintained versions.
  • over 1 year unnecessary system node required to get past prefix error on clean install
  • over 1 year How about nvm profiles
  • over 1 year sort command not found (may be OSX Sierra env related)
  • over 1 year NVM is slow (> 650ms)
  • over 1 year support strict-ssl-false param?
  • over 1 year Is it required to set NODE_PATH using NVM to manage multiple Node.js version ?
  • over 1 year Using the system node as default
  • over 1 year Option to set --lts as default
  • almost 2 years N/A: version "N/A" is not yet installed.
  • almost 2 years Add `prune` support to nvm
  • almost 2 years after installing osx 10.11.6 nvm won't work
  • almost 2 years `nvm use` does not fully respect `--silent`
  • almost 2 years `nvm run` does not work with files whose names consist of digits
  • almost 2 years Unable to install 'Permission denied'
  • almost 2 years nvm exec/run does not let signals through
  • almost 2 years Add --verbose option to help diagnose remote/install slowness
  • almost 2 years nvm doesn't work with curl alias
  • almost 2 years No longer supports `set -e`
  • almost 2 years NVM doesn't create a ~/.bash_profile file if it doesn't exist
  • almost 2 years Need of consistent version value to be referenced by other scripts
  • almost 2 years Installing on Alpine Linux
  • about 2 years `nvm upgrade`?
  • about 2 years Should io.js be removed from nvm ls? Now that it is merged with node again
  • about 2 years Option to disable curl-like download progress
  • about 2 years Chakra
  • about 2 years install nightly?
  • about 2 years Prevent of patching `$PROFILE`
  • about 2 years `nvm_tree_contains_path` doesn't work on case-insensitive filesystems
  • about 2 years nvm_cheksum not found
  • about 2 years Fix startup files (.profile, .bashrc, .bash_profile, etc.)
  • about 2 years README file should explain what the software is
  • about 2 years Don't auto-default when system is present?
  • about 2 years Shorter URL for install script?
  • over 2 years Windows linebreaks in .nvmrc causes errors
  • over 2 years Configurable output colors
  • over 2 years node not found after install
  • over 2 years nvm problems caused by "npm version" of nvm
  • over 2 years document "ls-remote with version filtering support" in `--help`
  • over 2 years Autotomatic reinstall-packages across node versions
  • over 2 years Unable to install custom non-nvm managed version
  • over 2 years Startup performance regression
  • over 2 years Feature Request: npm management?
  • over 2 years FR: Notify on newer version of node.
  • over 2 years Unaliased sha1sum, sha1 or shasum not found
  • over 2 years test/slow overwrite npm
  • over 2 years Performance issues changing versions on linux
  • over 2 years nvm alias <name> <target> should make nvm install <name> possible
  • over 2 years Don't act when `--help` flag specified
  • over 2 years Install script should also update ~/.bash_profile
  • over 2 years Move on clang LLVM
  • over 2 years [Bug] nodejs on FreeBSD need to be patched
  • over 2 years .bash_profile vs. .bashrc
  • over 2 years Performance: `nvm use` takes about a second
  • over 2 years oh-my-zsh: NVM is not compatible with the npm config "prefix" option
  • over 2 years Add tests: `nvm run --silent` and `nvm exec --silent`
  • almost 3 years Should export functions to the shell
  • almost 3 years Honor .node-version file
  • almost 3 years Cannot get this to build on Rasperberry Pi Model B+ Debian Jessie
  • almost 3 years Shell startup can be improved by not printing npm version when sourcing nvm.sh
  • almost 3 years Support `node v4+`/`io.js` release candidates
  • almost 3 years Error with linked packages when `reinstall-packages`
  • almost 3 years When https://nodejs.org/dist/ is unreachable, nvm should indicate this to user
  • about 3 years bash --login -c 'nvm list' does not work while it should
  • about 3 years Optimize shell startup with lazy loading?
  • about 3 years Dash tests fail on my system
  • about 3 years Write tests for bare `nvm run X`
  • about 3 years Feature request: set default alias when installing?
  • about 3 years Performance issues
  • about 3 years Test failure
  • about 3 years install node also install latest stable npm
  • about 3 years sha1sum surprise
  • about 3 years ls-remote output is deceiving when one of nodejs.org and iojs.org is not accessible
  • about 3 years Install node 32bits in Ubuntu 64bits
  • over 3 years Use package.json engines version?
  • over 3 years default install method didn't patch my bashrc/bash_profile files
  • over 3 years git `autocrlf` setting causes syntax errors after install
  • over 3 years When NVM_DIR is a symlink, `nvm_ls` breaks
  • over 3 years HTTPS certificate for latest.nvm.sh
  • over 3 years Add Changelog
  • over 3 years .nvmrc should override default in new shells
  • over 3 years Modifying a file when .bashrc and .zshrc are present
  • over 3 years There should be a clear(er) vision for nvm
  • over 3 years Shims for NVM
  • over 3 years `ksh` doesn't support `local`
  • over 3 years Testing the install script
  • over 3 years Convenience installation feature for upgrading an installed Node.js version
  • over 3 years `nvm install 0.6.21` installs `v0.6.21-pre`
  • almost 4 years "npm command not found" on ARM arch

nvm closed issues

  • over 1 year Trying to install Node 7 nightly
  • over 1 year Ask before build from src
  • over 1 year Error: EINVAL: invalid argument on Windows Linux Subsystem
  • over 1 year `nvm install --reinstall-packages-from` uses aliased `cd`
  • over 1 year can not install nvm
  • over 1 year Installation 'Permission denied' error.
  • over 1 year Failed to compile atom :TypeError: Incorrect value of args option
  • over 1 year Install yarn
  • over 1 year Install script should use `\.` in case of overridden `.`
  • over 1 year N/A: version "N/A" is not yet installed. Node 6.9.1 OSX El Capitan
  • over 1 year Run `nvm use --delete-prefix version --silent` to unset it.
  • over 1 year The newest LTS should be preferred over the older ones
  • over 1 year N/A: version "N/A" is not yet installed.
  • over 1 year "nvm: install v6.8.0 failed!" on nvm install node
  • over 1 year bash -c 'nvm ls' used by fabric got 'command not found'
  • over 1 year can't switch node versions, trapped in one install
  • over 1 year Use absolute paths when npm-linking globally linked packages
  • over 1 year Add ENV `NVM_INSTALL_ON_USE_FLAG`
  • over 1 year NVM is not compatible with the npm config "prefix" option warning (OS X)
  • over 1 year when using nvm,How to move global modules to another node version
  • over 1 year Used with Debian aarch64 gets wrong node tar URL
  • over 1 year How to remove "created globally in function"?
  • over 1 year NVM Not installing mode correctly on Ubuntu 14.04
  • over 1 year Failed to install with git v1.6.2/1.5.5
  • over 1 year Cannot add versions above v0.11.11: -> CHECK(cpu.has_sse2()) failed
  • over 1 year Problem uninstalling specific node version
  • over 1 year `sort` command not found
  • over 1 year Fresh install has 1 zillion tiny files
  • over 1 year 'nvm is not compatible with the npm config "prefix" option' message in every shell
  • over 1 year Failed to download 'https://raw.githubusercontent.com/creationix/nvm/v0.31.7/nvm.sh'
  • over 1 year Can't uninstall global npm package
  • over 1 year Changed version of node to latest and error log still says I'm using an older version.
  • over 1 year `nvm install 5` fails unless `nvm ls` before
  • over 1 year Cannot uninstall node v6.0.0
  • over 1 year nvm upgrade failed
  • over 1 year Latest master breaks bashrc